org.apache.cxf.common.util

## Class ASMHelper.Opcodes

- java.lang.Object
- - org.apache.cxf.common.util.ASMHelper.Opcodes

- Enclosing class:
    ASMHelper

      public static class ASMHelper.Opcodes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AALOAD`
    `static int` | `ACC_ABSTRACT`
    `static int` | `ACC_FINAL`
    `static int` | `ACC_INTERFACE`
    `static int` | `ACC_PRIVATE`
    `static int` | `ACC_PUBLIC`
    `static int` | `ACC_STATIC`
    `static int` | `ACC_SUPER`
    `static int` | `ACC_SYNTHETIC`
    `static int` | `ACONST_NULL`
    `static int` | `ALOAD`
    `static int` | `ANEWARRAY`
    `static int` | `ARETURN`
    `static int` | `ARRAYLENGTH`
    `static int` | `ASTORE`
    `static int` | `ATHROW`
    `static int` | `CHECKCAST`
    `static int` | `DCONST_0`
    `static int` | `DUP`
    `static int` | `F_APPEND`
    `static int` | `F_SAME`
    `static int` | `F_SAME1`
    `static int` | `FCONST_0`
    `static int` | `GETFIELD`
    `static int` | `GETSTATIC`
    `static int` | `GOTO`
    `static int` | `ICONST_0`
    `static int` | `ICONST_1`
    `static int` | `IF_ICMPLT`
    `static int` | `IFNONNULL`
    `static int` | `IFNULL`
    `static int` | `ILOAD`
    `static Integer` | `INTEGER`
    `static int` | `INVOKEINTERFACE`
    `static int` | `INVOKESPECIAL`
    `static int` | `INVOKESTATIC`
    `static int` | `INVOKEVIRTUAL`
    `static int` | `IRETURN`
    `static int` | `ISTORE`
    `static int` | `LCONST_0`
    `static int` | `NEW`
    `static int` | `POP`
    `static int` | `PUTFIELD`
    `static int` | `PUTSTATIC`
    `static int` | `RETURN`
    `static int` | `SIPUSH`
    `static int` | `V1_5`
    `static int` | `V1_6`
    `static int` | `V1_7`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Opcodes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARETURN

          public static int ARETURN

    - #### ALOAD

          public static int ALOAD

    - #### IFNULL

          public static int IFNULL

    - #### CHECKCAST

          public static int CHECKCAST

    - #### INVOKEINTERFACE

          public static int INVOKEINTERFACE

    - #### GETFIELD

          public static int GETFIELD

    - #### GETSTATIC

          public static int GETSTATIC

    - #### ASTORE

          public static int ASTORE

    - #### PUTFIELD

          public static int PUTFIELD

    - #### PUTSTATIC

          public static int PUTSTATIC

    - #### RETURN

          public static int RETURN

    - #### F_APPEND

          public static int F_APPEND

    - #### F_SAME

          public static int F_SAME

    - #### F_SAME1

          public static int F_SAME1

    - #### INVOKESPECIAL

          public static int INVOKESPECIAL

    - #### ACC_PUBLIC

          public static int ACC_PUBLIC

    - #### ACC_FINAL

          public static int ACC_FINAL

    - #### ACC_SUPER

          public static int ACC_SUPER

    - #### ACC_PRIVATE

          public static int ACC_PRIVATE

    - #### ACC_STATIC

          public static int ACC_STATIC

    - #### V1_5

          public static int V1_5

    - #### V1_6

          public static int V1_6

    - #### V1_7

          public static int V1_7

    - #### ACC_ABSTRACT

          public static int ACC_ABSTRACT

    - #### ACC_INTERFACE

          public static int ACC_INTERFACE

    - #### ACC_SYNTHETIC

          public static int ACC_SYNTHETIC

    - #### ILOAD

          public static int ILOAD

    - #### ISTORE

          public static int ISTORE

    - #### AALOAD

          public static int AALOAD

    - #### ARRAYLENGTH

          public static int ARRAYLENGTH

    - #### IRETURN

          public static int IRETURN

    - #### NEW

          public static int NEW

    - #### ANEWARRAY

          public static int ANEWARRAY

    - #### DUP

          public static int DUP

    - #### ATHROW

          public static int ATHROW

    - #### INVOKEVIRTUAL

          public static int INVOKEVIRTUAL

    - #### GOTO

          public static int GOTO

    - #### POP

          public static int POP

    - #### ACONST_NULL

          public static int ACONST_NULL

    - #### IFNONNULL

          public static int IFNONNULL

    - #### SIPUSH

          public static int SIPUSH

    - #### INVOKESTATIC

          public static int INVOKESTATIC

    - #### ICONST_0

          public static int ICONST_0

    - #### ICONST_1

          public static int ICONST_1

    - #### LCONST_0

          public static int LCONST_0

    - #### FCONST_0

          public static int FCONST_0

    - #### DCONST_0

          public static int DCONST_0

    - #### IF_ICMPLT

          public static int IF_ICMPLT

    - #### INTEGER

          public static Integer INTEGER

  - ### Constructor Detail

    - #### Opcodes

          public Opcodes()

Apache CXF